﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls;
using Infragistics.Controls.Menus;
using WpfApplication191.ViewModel;

 

namespace WpfApplication191
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        XamDataTreeNode xdtn;
        public MainWindow()
        {
            InitializeComponent();
        }
       
       

       

        private void XamDataTreeNodeControl_PreviewMouseRightButtonDown(object sender, MouseButtonEventArgs e)
        {
            XamDataTreeNodeControl xdtnc = sender as XamDataTreeNodeControl;
            xdtn = xdtnc.Node;
        }

       
      

        private void XamMenuItem_Click_3(object sender, EventArgs e)
        {
            XamMenuItem xmi = sender as XamMenuItem;
            string s = xmi.Header.ToString();
            if (xmi.DataContext is XamDataTreeNode)
            {
                XamDataTreeNode tnode = xmi.DataContext as XamDataTreeNode;
                if (tnode.Data is League)
                {
                    League l = tnode.Data as League;
                    s += " " + l.LeagueName;
                    
                }
                else if (tnode.Data is Team)
                {
                    Team t = tnode.Data as Team;
                    s += " " +  t.TeamName;
                }
                else if (tnode.Data is Player)
                {
                    Player p = tnode.Data as Player;
                    s += " " + p.Name;
                }
                MessageBox.Show(s);
              
            }
        }

     

        private void XamContextMenu_Opening_1(object sender, OpeningEventArgs e)
        {
            XamContextMenu xcm = sender as XamContextMenu;
            xcm.DataContext = xdtn;
        }

     
     
    }
}
